com.davemorrissey.labs.subscaleview

## Interface SubsamplingScaleImageView.OnAnimationEventListener

All Known Implementing Classes:
  SubsamplingScaleImageView.DefaultOnAnimationEventListener

Enclosing class:
  SubsamplingScaleImageView

    public static interface SubsamplingScaleImageView.OnAnimationEventListener

An event listener for animations, allows events to be triggered when an animation completes, is aborted by another animation starting, or is aborted by a touch event. Note that none of these events are triggered if the activity is paused, the image is swapped, or in other cases where the view's internal state gets wiped or draw events stop.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onComplete()` The animation has completed, having reached its endpoint.
`void` `onInterruptedByNewAnim()` The animation has been aborted before reaching its endpoint because a new animation has been started.
`void` `onInterruptedByUser()` The animation has been aborted before reaching its endpoint because the user touched the screen.

### Method Detail

#### onComplete

    void onComplete()

The animation has completed, having reached its endpoint.

#### onInterruptedByUser

    void onInterruptedByUser()

The animation has been aborted before reaching its endpoint because the user touched the screen.

#### onInterruptedByNewAnim

    void onInterruptedByNewAnim()

The animation has been aborted before reaching its endpoint because a new animation has been started.